<template>
  <div></div>
</template>

<script>
import { Modal } from 'ant-design-vue'
import components from './_import-components/xm-flow-modal-render-import'

export default {
  name: 'XmFlowModalRender',
  components,
  created() {
    if (this.$attrs.modalTitle) {
      Modal[this.$attrs.modalType || 'info']({
        title: this.$attrs.modalTitle,
        content: this.$attrs.modalContent,
      })
    }
  },
  methods: {},
}
</script>

<style module lang="scss">
@use '@/common/design' as *;
</style>
